<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="UTF-8" omit-xml-declaration="yes" />
		
	<!-- 全画面共通要素 -->
	<xsl:template match="/">
		<html>
		<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="pragma" content="no-cache" />
		<meta http-equiv="cache-control" content="no-cache" />
		<title>コンテンツマネージャー</title>
		<link rel="stylesheet" href="manager.resources/manager.css" type="text/css" />
		<script type="text/javascript" language="JavaScript" src="manager.resources/manager.js" charset="UTF-8">//</script>
		<script type="text/javascript" src="ckeditor/ckeditor.js"></script>
		<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
		</head>
		<body>
		<div class="header">
			<div><a href="http://cms.al-design.jp/" target="_blank"><img src="manager.resources/manager_header.gif" alt="CMS Designer コンテンツ管理" title="公式サイトへジャンプする"/></a></div>
		</div>
		<div class="menu">
			<div class="menuitem"><a href="?p=entrynames">コンテンツ編集</a></div>
			<div class="menuitem"><a href="?p=edituserlist">ユーザー管理</a></div>
			<div class="menuitem"><a href="?p=versioninfo">バージョン情報</a></div>
			<div class="menuitem"><a href="?logout">ログアウト(<xsl:value-of select="*/@autheduserid" />)</a></div>
			<div style="clear:both;" />
		</div>
		<div class="topmessage">
			<font color="#884444">
			<b>[注意事項]</b><br />
			※ ブラウザの「戻る」を使うと正常に動作しません。<br />
			※ エントリの編集を開始すると、編集を終えて別の画面に移るまでそのエントリは占有状態になります。<br />
			</font>
		</div>
		<div class="main">
			<xsl:apply-templates />
		</div>
		</body>
		</html>
	</xsl:template>
	
	<!-- バージョン情報画面 -->
	<xsl:template match="versioninfo">
		<div class="subtitle">■バージョン情報</div>
		<div class="description"><a href="http://cms.al-design.jp/download2.html?manager" target="_blank">→最新バージョンをチェックする。</a></div>
		<table>
			<tr><th width="30%">項目</th><th nowrap="nowrap" >値</th></tr>
			<tr>
				<td nowrap="nowrap">アプリケーション名</td>
				<td nowrap="nowrap">
					<xsl:value-of select="@appname" />
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap">バージョン番号</td>
				<td nowrap="nowrap">
					<xsl:value-of select="@appversion" />
				</td>
			</tr>
		</table>
		
	</xsl:template>
	
	
	<!-- エントリフォルダ名一覧画面 -->
	<xsl:template match="entrynames">
		
		<div class="subtitle">■コンテンツの編集</div>
		<div class="description">編集するコンテンツを選んでください。</div>
		<table>
			<tr><th width="100%">コンテンツ名</th><th nowrap="nowrap" >一覧へ</th></tr>
			
			<xsl:for-each select="entryname" >
				<tr>
					<!-- セパレータ行 -->
					<xsl:if test="@entrytype='separator'">
						<td colspan="2" class="separator">
							<xsl:if test="@entrycaption"><h4 class="caption"><xsl:value-of select="@entrycaption" /></h4></xsl:if>
							<xsl:if test="@entrydescription"><h5 class="description"><xsl:value-of select="@entrydescription" /></h5></xsl:if>
							<xsl:if test="not(@entrycaption or @entrydescription)">&#160;</xsl:if>
						</td>
					</xsl:if>
					
					<!-- 通常行 -->
					<xsl:if test="not(@entrytype='separator')">
						<td><xsl:value-of select="@entrycaption" /></td>
						<td nowrap="nowrap"><a href="manager.php?p=entries&amp;entryname={@entryname}" class="imagebutton"><img src="manager.resources/button_showlist.gif" alt="一覧を表示" border="0" /></a></td>
					</xsl:if>
				</tr>
			</xsl:for-each>
		
		</table>
		
	</xsl:template>
	
	<!-- エントリ一覧画面 -->
	<xsl:template match="entries" >
		<form action="manager.php" method="post" name="frmEntries" >
		
			<div class="subtitle">■<a href="manager.php?p=entrynames">コンテンツの編集</a> ＞ <xsl:value-of select="@entrycaption" /></div>
			<div class="description">編集するエントリIDを選んでください。</div>
			<div class="buttonpanel">
				<xsl:if test="@deleteok">
					<a href="#" class="imagebutton" onclick="submitDeleteEntries();return false;" ><img name="btnDelete" alt="選択エントリを削除" src="manager.resources/button_delete.gif" /></a>
				</xsl:if>
				<xsl:if test="@addok">
					<a href="#" class="imagebutton" onclick="submitAddNewEntry('{@entryname}','{/entries/navi/@maxpagerows}','{/entries/navi/@position}');return false;" ><img name="btnAdd" alt="新規エントリを追加" src="manager.resources/button_addnew.gif" /></a>
				</xsl:if>
				<a href="#" class="imagebutton" onclick="moveToEditContents();return false;" ><img name="btnMoveToParent" alt="上に戻る" src="manager.resources/button_return.gif" /></a>
				<xsl:if test="@listpageurl">
					<a href="{@listpageurl}" target="_blank" ><img name="btnShowInBrowser" alt="表示を確認する" src="manager.resources/button_showinbrowser.gif"/></a>
				</xsl:if>
			</div>
			
			<!-- page changing navigation -->
			<xsl:for-each select="navi[@maxpage&gt;1]">
			<ul class="pagechangenavi">
				<xsl:if test="@position!=1">
					<li><a href="#" onclick="changePageTo( 1 ); return false;" >&lt;&lt; 先頭ページ</a></li>
				</xsl:if>
				<xsl:if test="@position=1">
					<li>&lt;&lt; 先頭ページ</li>
				</xsl:if>
			
				<xsl:if test="prev">
					<li><a href="#" onclick="changePageTo( {prev/@id} ); return false;" >&lt;&lt; 前の<xsl:value-of select="@maxpagerows" />件</a></li>
				</xsl:if>
				<xsl:if test="not(prev)">
					<li>&lt;&lt; 前の<xsl:value-of select="@maxpagerows" />件</li>
				</xsl:if>
				
				<xsl:for-each select="page[(position()&gt;=(../@position - 3)) and (position()&lt;=(../@position + 3)) ]">
					<xsl:if test="../@position=@id">
						<li><strong><xsl:value-of select="@id" />ページ</strong></li>
					</xsl:if>
					<xsl:if test="not(../@position=@id)">
						<li><a href="#" onclick="changePageTo( {@id} ); return false;" ><xsl:value-of select="@id" /></a></li>
					</xsl:if>
				</xsl:for-each>
				
				<xsl:if test="next">
					<li><a href="#" onclick="changePageTo( {next/@id} ); return false;" >次の<xsl:value-of select="@maxpagerows" />件 &gt;&gt;</a></li>
				</xsl:if>
				<xsl:if test="not(next)">
					<li>次の<xsl:value-of select="@maxpagerows" />件 &gt;&gt;</li>
				</xsl:if>
				
				<xsl:if test="@position!=@maxpage">
					<li><a href="#" onclick="changePageTo( {@maxpage} ); return false;" >最終ページ(<xsl:value-of select="@maxpage" />) &gt;&gt;</a></li>
				</xsl:if>
				<xsl:if test="@position=@maxpage">
					<li>最終ページ(<xsl:value-of select="@maxpage" />) &gt;&gt;</li>
				</xsl:if>
				
				<li>
					<select name="selMaxPageRows" id="selMaxPageRows" onchange="changeMaxPageRows( this.options[this.selectedIndex].value );">
						<option value="15"><xsl:if test="@maxpagerows=15"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>15件表示</option>
						<option value="30"><xsl:if test="@maxpagerows=30"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>30件表示</option>
						<option value="50"><xsl:if test="@maxpagerows=50"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>50件表示</option>
						<option value="100"><xsl:if test="@maxpagerows=100"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>100件表示</option>
					</select>
				</li>
				
			</ul>
			</xsl:for-each>
		
			<input type="hidden" name="action" value="" />
			<input type="hidden" name="pageno" value="" />
			<input type="hidden" name="maxpagerows" value="" />
			<input type="hidden" name="{/entries/reloadtoken/@key}" value="{/entries/reloadtoken/@value}" />
			<table>
				<tr>
					<th nowrap="nowrap"><input type="checkbox" id="allitems" />削除</th><th nowrap="nowrap">ID</th><th nowrap="nowrap">更新日</th><th nowrap="nowrap" width="100%">エントリ見出し</th>
					<xsl:if test="@publishcontrol!='none'">
						<th nowrap="nowrap">公開状態</th>
					</xsl:if>
					<th nowrap="nowrap">編集</th>
				</tr>
				<xsl:for-each select="entry" >
					<tr>
						<td align="center">
							<input type="checkbox" name="items[]" value="{@id}" >
								<xsl:if test="not(@deleteok)">
									<xsl:attribute name="disabled">disabled</xsl:attribute>
								</xsl:if>
							</input>
						</td>
						<td nowrap="nowrap"><xsl:value-of select="@id" /></td>
						<td nowrap="nowrap"><xsl:value-of select="@date" /></td>
						<td><xsl:value-of select="text()" /></td>
						<xsl:if test="../@publishcontrol!='none'">
							<td nowrap="nowrap" align="center">
								<xsl:choose>
									<xsl:when test="@publishstate='public'"><xsl:attribute name="style"></xsl:attribute>公開</xsl:when>
									<xsl:when test="@publishstate='private'"><xsl:attribute name="style">background-color:#f0d0d0;</xsl:attribute>非公開</xsl:when>
									<xsl:when test="@publishstate='not yet'"><xsl:attribute name="style">background-color:#c8d0f0;border:1px solid #d0d0f0;color:black;</xsl:attribute>待機中</xsl:when>
									<xsl:when test="@publishstate='during'"><xsl:attribute name="style">color:teal;font-weight:bold;border:1px solid #d0d0f0;</xsl:attribute>期間中</xsl:when>
									<xsl:when test="@publishstate='over'"><xsl:attribute name="style">background-color:white;border:1px solid #d0d0f0;color:#808080;</xsl:attribute>期間終了</xsl:when>
								</xsl:choose>
							</td>
						</xsl:if>
						<td nowrap="nowrap">
							<xsl:if test="@editok">
								<a href="manager.php?p=entry&amp;entryname={/entries/@entryname}&amp;entryid={@id}&amp;maxpagerows={/entries/navi/@maxpagerows}&amp;pageno={/entries/navi/@position}" class="imagebutton"><img src="manager.resources/button_edit.gif" alt="編集" border="0" /></a>
							</xsl:if>
						</td>
					</tr>
				</xsl:for-each>
				<xsl:if test="/entries/@addok">
					<tr>
						<td align="center">
							－
						</td>
						<td nowrap="nowrap" align="center">-</td>
						<td nowrap="nowrap" align="center">－</td>
						<td>(新規エントリを追加)</td>
						<xsl:if test="@publishcontrol!='none'">
							<td nowrap="nowrap"></td>
						</xsl:if>
						<td nowrap="nowrap">
							<a href="#" class="imagebutton" onclick="submitAddNewEntry('{@entryname}','{/entries/navi/@maxpagerows}','{/entries/navi/@position}');return false;" ><img name="btnAdd" alt="新規エントリを追加" src="manager.resources/button_edit.gif" /></a>
						</td>
					</tr>
				</xsl:if>
				
			</table>
		</form>
		
		<!-- 画面下にもボタン群を表示する -->
		
		<!-- page changing navigation -->
		<xsl:for-each select="navi[@maxpage&gt;1]">
		<ul class="pagechangenavi">
			<xsl:if test="@position!=1">
				<li><a href="#" onclick="changePageTo( 1 ); return false;" >&lt;&lt; 先頭ページ</a></li>
			</xsl:if>
			<xsl:if test="@position=1">
				<li>&lt;&lt; 先頭ページ</li>
			</xsl:if>
		
			<xsl:if test="prev">
				<li><a href="#" onclick="changePageTo( {prev/@id} ); return false;" >&lt;&lt; 前の<xsl:value-of select="@maxpagerows" />件</a></li>
			</xsl:if>
			<xsl:if test="not(prev)">
				<li>&lt;&lt; 前の<xsl:value-of select="@maxpagerows" />件</li>
			</xsl:if>
			
			<xsl:for-each select="page[(position()&gt;=(../@position - 3)) and (position()&lt;=(../@position + 3)) ]">
				<xsl:if test="../@position=@id">
					<li><strong><xsl:value-of select="@id" />ページ</strong></li>
				</xsl:if>
				<xsl:if test="not(../@position=@id)">
					<li><a href="#" onclick="changePageTo( {@id} ); return false;" ><xsl:value-of select="@id" /></a></li>
				</xsl:if>
			</xsl:for-each>
			
			<xsl:if test="next">
				<li><a href="#" onclick="changePageTo( {next/@id} ); return false;" >次の<xsl:value-of select="@maxpagerows" />件 &gt;&gt;</a></li>
			</xsl:if>
			<xsl:if test="not(next)">
				<li>次の<xsl:value-of select="@maxpagerows" />件 &gt;&gt;</li>
			</xsl:if>
			
			<xsl:if test="@position!=@maxpage">
				<li><a href="#" onclick="changePageTo( {@maxpage} ); return false;" >最終ページ(<xsl:value-of select="@maxpage" />) &gt;&gt;</a></li>
			</xsl:if>
			<xsl:if test="@position=@maxpage">
				<li>最終ページ(<xsl:value-of select="@maxpage" />) &gt;&gt;</li>
			</xsl:if>
			
			
		</ul>
		</xsl:for-each>
		
		<div class="buttonpanel">
			<xsl:if test="@deleteok">
				<a href="#" class="imagebutton" onclick="submitDeleteEntries();return false;" ><img name="btnDelete" alt="選択エントリを削除" src="manager.resources/button_delete.gif" /></a>
			</xsl:if>
			<xsl:if test="@addok">
				<a href="#" class="imagebutton" onclick="submitAddNewEntry('{@entryname}','{/entries/navi/@maxpagerows}','{/entries/navi/@position}');return false;" ><img name="btnAdd" alt="新規エントリを追加" src="manager.resources/button_addnew.gif" /></a>
			</xsl:if>
			<a href="#" class="imagebutton" onclick="moveToEditContents();return false;" ><img name="btnMoveToParent" alt="上に戻る" src="manager.resources/button_return.gif" /></a>
		</div>
		
		
	</xsl:template>
	
	
	<!-- エントリ編集画面 -->
	<xsl:template match="entryeditor">
	
		<xsl:for-each select="entry" >
			<div class="subtitle">
				■<a href="manager.php?p=entrynames">コンテンツの編集</a>
				 ＞ 
				<a href="manager.php?p=entries&amp;entryname={@entryname}&amp;entryid={@id}&amp;maxpagerows={/entryeditor/ownerpage/@maxpagerows}&amp;pageno={/entryeditor/ownerpage/@pageno}" >
					<xsl:value-of select="@entrycaption"/>
				</a>
				 ＞ 
				<xsl:if test="@isnew='True'" >(新規エントリ)</xsl:if>
				<xsl:if test="@isnew!='True'" ><xsl:value-of select="@id"/></xsl:if>
			</div>
			
			<form action="manager.php" method="post" name="frmEntryEditor" enctype="multipart/form-data">
				<input type="hidden" name="cmsd_encodinghelper" value="あいうえお眉幅" />
				<input type="hidden" name="nextlevel" value="" />
				<input type="hidden" name="action" value="" />
				<input type="hidden" name="isdirty" value="{@isdirty}" />
				<input type="hidden" name="{/entryeditor/reloadtoken/@key}" value="{/entryeditor/reloadtoken/@value}" />
				
				<xsl:for-each select="/entryeditor/location">
					<div class="entrylocation">
						<b>《現在の編集位置》</b><br />
						
						<xsl:if test="@istop='True'">エントリルート<br /></xsl:if>
						<xsl:if test="@istop='False'"><a href="#" onclick="moveLevel('^{@maxlevel}');return false;">エントリルート</a> <br /></xsl:if>
						
						<xsl:for-each select="locationitem" >
							<xsl:sort select="@distance" order="descending" />
							<div style="padding-left:{@level * 10}">
								└ <a href="#" onclick="moveLevel('^{@distance}');return false;"><xsl:value-of select="@caption" /></a>
							</div>
						</xsl:for-each>
						
					</div>
				</xsl:for-each>
				
				<xsl:if test="/entryeditor/errormessage">
					<div class="error">
						<xsl:value-of select="/entryeditor/errormessage/text()" />
					</div>
				</xsl:if>
				
				<xsl:if test="/entryeditor/normalmessage">
					<div class="normalmessage">
						<xsl:value-of select="/entryeditor/normalmessage/text()" />
					</div>
				</xsl:if>
				
				<!-- 「エントリロック中」のエラーの場合に、はいorいいえのボタンを表示する。 -->
				<xsl:if test="/entryeditor/@errorid='alreadyLocked'">
					<div class="buttonpanel">
						<a href="#" class="imagebutton" onclick="forceLock();return false;" >はい</a>｜
						<a href="#" class="imagebutton" onclick="cancelEdit('{@entryname}','{@id}','{/entryeditor/ownerpage/@maxpagerows}', '{/entryeditor/ownerpage/@pageno}');return false;" >いいえ</a>
					</div>
				</xsl:if>
				
				<!-- エラーIDが空っぽの場合のみ、編集領域を表示する。 -->
				<xsl:if test="not(/entryeditor/@errorid)">
				
				<!-- ボタン群を表示する -->
				<div class="buttonpanel">
					<a href="#" class="imagebutton" onclick="submitSave();return false;" ><img name="btnSave" alt="編集内容を確定する" src="manager.resources/button_save.gif" /></a>
					<a href="#" class="imagebutton" onclick="cancelEdit('{@entryname}','{@id}','{/entryeditor/ownerpage/@maxpagerows}', '{/entryeditor/ownerpage/@pageno}');return false;" ><img name="btnCancel" alt="キャンセル" src="manager.resources/button_cancel.gif" /></a>
					<xsl:if test="/entryeditor/location/@istop='False'" >
						<a href="#" class="imagebutton" onclick="moveLevel('^1');return false;" ><img name="btnMoveToUpper" alt="一つ上に戻る" src="manager.resources/button_return.gif" /></a>
					</xsl:if>
					<div class="buttonpanel_padding" />
					<a href="#" class="imagebutton" onclick="submitDuplicate();return false;" ><img name="btnDuplicate" alt="新規エントリにコピーする" src="manager.resources/button_duplicate.gif" /></a>
					<xsl:if test="/entryeditor/@entrypageurl">
						<a href="{/entryeditor/@entrypageurl}?eid={@id}&amp;showclosedentry=yes" onclick="return confirmShowInBrowser();" target="_blank" ><img name="btnShowInBrowser" alt="最後に更新した内容を表示します" src="manager.resources/button_showinbrowser.gif" /></a>
					</xsl:if>
				</div>
				
				<xsl:if test="/entryeditor/location/@currenttype!='list'" >
					<table>
						<tr><th nowrap="nowrap">説明</th><th nowrap="nowrap">入力欄</th></tr>
						
						<xsl:for-each select="entrydata[@type='header']">
						<td>作成者</td>
						<td>
							<!-- 作成者 -->
							<xsl:variable name="author" select="@userid" />
							<xsl:if test="/entryeditor/autheduser/@role='administrator'">
								<select name="cmsd_author">
									<xsl:if test="$author=''">
										<option value="" selected="selected">（未設定）</option>
									</xsl:if>
									<xsl:for-each select="/entryeditor/userlist/user">
										<option value="{@userid}">
											<xsl:if test="@userid=$author">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="@userid" />
										</option>
									</xsl:for-each>
								</select>
							</xsl:if>
							<xsl:if test="/entryeditor/autheduser/@role!='administrator'">
								<xsl:value-of select="$author" /><xsl:if test="$author=''">（未設定）</xsl:if>
							</xsl:if>
						</td>
						</xsl:for-each>
						
						<xsl:for-each select="entrydata">
							<xsl:if test="not(@type='header' and @publishcontrol='none')"><!-- エントリヘッダ（公開設定）を使わない場合(=publishcontrolがnone）はその項目を表示しない -->
							<tr>
								<!-- セパレーター -->
								<xsl:if test="@type='separator'">
									<td colspan="2" class="separator">
										<xsl:if test="@caption!=''"><h4 class="caption"><xsl:value-of select="@caption" /></h4></xsl:if>
										<xsl:if test="@description!=''"><h5 class="description"><xsl:value-of select="@description" /></h5></xsl:if>
										<xsl:if test="@caption='' and @description=''">&#160;</xsl:if>
									</td>
								</xsl:if>
								
								<!-- セパレーター以外 -->
								<xsl:if test="@type!='separator'">
								
								<td><xsl:value-of select="@caption" /></td>
								<td>
									<xsl:choose>
										<!-- エントリヘッダ（公開設定） -->
										<xsl:when test="@type='header'">
											<!-- 非公開フラグ -->
											<input type="checkbox" name="cmsd_visible" value="False" id="cmsd_visible">
												<xsl:if test="@visible='False'">
													<xsl:attribute name="checked">checked</xsl:attribute>
												</xsl:if>
											</input><label for="cmsd_visible">非公開</label><xsl:if test="@publishcontrol='full'">　（※非公開に設定すると、開始・終了設定に関係なく非公開のままとなります。）</xsl:if><br />
											
											<xsl:if test="@publishcontrol='full'">
											
											<!-- 公開開始日時 -->
											<input type="checkbox" name="cmsd_sd_active" value="True" id="cmsd_sd_active" onclick="changeInlineElementVisible('startdate','cmsd_sd_active');" onchange="changeInlineElementVisible('startdate','cmsd_sd_active');">
												<xsl:if test="@sd_active='True'">
													<xsl:attribute name="checked">checked</xsl:attribute>
												</xsl:if>
											</input><label for="cmsd_sd_active">公開開始日時</label>　
											
											<span id="startdate">
											<xsl:if test="@sd_active='False'">
												<xsl:attribute name="style">display:none;</xsl:attribute>
											</xsl:if>
											
											<!-- 年の出力 -->
											<input type="text" size="4" maxlength="4" name="cmsd_sd_year" value="{@sd_year}" />年
											
											<!-- 月の出力 -->
											<xsl:call-template name="monthselect">
													<xsl:with-param name="select_name" select="'cmsd_sd_month'" />
													<xsl:with-param name="selected_value" select="@sd_month" />
											</xsl:call-template>
											
											<!-- 日の出力 -->
											<xsl:call-template name="dayselect">
												<xsl:with-param name="select_name" select="'cmsd_sd_day'" />
												<xsl:with-param name="selected_value" select="@sd_day" />
											</xsl:call-template>
											
											<!-- 時の出力 -->
											<xsl:call-template name="hourselect">
												<xsl:with-param name="select_name" select="'cmsd_sd_hour'" />
												<xsl:with-param name="selected_value" select="@sd_hour" />
											</xsl:call-template>
											
											<!-- 分の出力 -->
											<xsl:call-template name="minuteselect">
												<xsl:with-param name="select_name" select="'cmsd_sd_minute'" />
												<xsl:with-param name="selected_value" select="@sd_minute" />
											</xsl:call-template>
											
											</span>
											
											<br />
											
											<!-- 公開終了日時 -->
											<input type="checkbox" name="cmsd_ed_active" value="True" id="cmsd_ed_active" onclick="changeInlineElementVisible('enddate','cmsd_ed_active');" onchange="changeInlineElementVisible('enddate','cmsd_ed_active');">
												<xsl:if test="@ed_active='True'">
													<xsl:attribute name="checked">checked</xsl:attribute>
												</xsl:if>
											</input><label for="cmsd_ed_active">公開終了日時</label>　
											
											<span id="enddate">
											<xsl:if test="@ed_active='False'">
												<xsl:attribute name="style">display:none;</xsl:attribute>
											</xsl:if>
											
											<!-- 年の出力 -->
											<input type="text" size="4" maxlength="4" name="cmsd_ed_year" value="{@ed_year}" />年
											
											<!-- 月の出力 -->
											<xsl:call-template name="monthselect">
													<xsl:with-param name="select_name" select="'cmsd_ed_month'" />
													<xsl:with-param name="selected_value" select="@ed_month" />
											</xsl:call-template>
											
											<!-- 日の出力 -->
											<xsl:call-template name="dayselect">
												<xsl:with-param name="select_name" select="'cmsd_ed_day'" />
												<xsl:with-param name="selected_value" select="@ed_day" />
											</xsl:call-template>
											
											<!-- 時の出力 -->
											<xsl:call-template name="hourselect">
												<xsl:with-param name="select_name" select="'cmsd_ed_hour'" />
												<xsl:with-param name="selected_value" select="@ed_hour" />
											</xsl:call-template>
											
											<!-- 分の出力 -->
											<xsl:call-template name="minuteselect">
												<xsl:with-param name="select_name" select="'cmsd_ed_minute'" />
												<xsl:with-param name="selected_value" select="@ed_minute" />
											</xsl:call-template>
											
											</span>
											
											<br />
											
											</xsl:if>
											
											<!-- 作成者 -->
											<!--
											作成者
											<xsl:variable name="author" select="@userid" />
											<xsl:if test="/entryeditor/autheduser/@role='administrator'">
												<select name="cmsd_author">
													<xsl:if test="$author=''">
														<option value="" selected="selected">（未設定）</option>
													</xsl:if>
													<xsl:for-each select="/entryeditor/userlist/user">
														<option value="{@userid}">
															<xsl:if test="@userid=$author">
																<xsl:attribute name="selected">selected</xsl:attribute>
															</xsl:if>
															<xsl:value-of select="@userid" />
														</option>
													</xsl:for-each>
												</select>
											</xsl:if>
											<xsl:if test="/entryeditor/autheduser/@role!='administrator'">
												：<xsl:value-of select="$author" /><xsl:if test="$author=''">（未設定）</xsl:if>
											</xsl:if>
											-->
											
										</xsl:when>
									
										<!-- テキスト(text)項目 -->
										<xsl:when test="@type='text'">
											<input type="text" name="{@name}" size="{@size}" value="{text()}">
												<xsl:if test="@maxlength">
													<xsl:attribute name="maxlength"><xsl:value-of select="@maxlength" /></xsl:attribute>
												</xsl:if>
											</input><br />
										</xsl:when>
										
										<!-- テキストエリア(textare)項目 -->
										<xsl:when test="@type='textarea'">
											<textarea name="{@name}" cols="{@cols}" rows="{@rows}" >
												<xsl:value-of select="text()" />
											</textarea><br />
											<!-- FCKeditorの埋め込み(html1の場合のみ) -->
											<xsl:if test="@output='html1'">
												<script type="text/javascript">makeWYSIWYGEditor('<xsl:value-of select="@name" />', <xsl:value-of select="@rows" />);</script>
											</xsl:if>
											
										</xsl:when>
										
										<!-- 数値(int)項目 -->
										<xsl:when test="@type='int'">
											<input type="text" name="{@name}" size="{@size}" value="{text()}" /><br />
										</xsl:when>
										
										<!-- メニュー(menu)項目 -->
										<xsl:when test="@type='menu'">
											<select name="{@name}" >
												<xsl:for-each select="option">
													<option value="{@value}">
														<xsl:if test="@selected">
															<xsl:attribute name="selected"><xsl:value-of select="@selected" /></xsl:attribute>
														</xsl:if>
														<xsl:value-of select="text()" />
													</option>
												</xsl:for-each>
											</select>
										</xsl:when>
										
										<!-- リスト項目 -->
										<xsl:when test="@type='list'">
											<a href="#" onclick="moveLevel('{@name}');return false;" class="imagebutton" ><img src="manager.resources/button_editlist.gif" alt="リストを編集する" border="0" /></a><br />
										</xsl:when> 						
										
										<!-- 画像(img)項目 -->
										<xsl:when test="@type='img'">
											<xsl:if test="@state='deleted'">
												<a href="{@fileurl}&amp;mode=manager" target="_blank"><xsl:value-of select="@org" />(削除されています)</a><br />
											</xsl:if>
											<xsl:if test="@state!='deleted'">
												<xsl:if test="@org=''">
													(画像なし)
												</xsl:if>
												<xsl:if test="@org!=''">
													<a href="{@fileurl}&amp;mode=manager" target="_blank" style="border:1px;" title="クリックすると画像を表示します"><img style="margin-right:0.5em;margin-bottom:0.5em;float:left;" src="{@fileurl}&amp;w=80&amp;h=80&amp;mode=manager" alt="{@org}" /></a>
													<a href="{@fileurl}&amp;mode=manager" target="_blank" title="クリックすると画像を表示します"><xsl:value-of select="@org" /></a>
												</xsl:if>
											</xsl:if>
											
											<xsl:if test="@alt">
												／画像名 <input type="text" size="40" name="{@name}_ALT" value="{@alt}" />
											</xsl:if>
											
											／<input type="checkbox" name="{@name}_DEL" />削除<br />
											アップロードするファイル <input type="file" name="{@name}" size="50" />
											<xsl:if test="@maxfilesize">　(最大<xsl:value-of select="@maxfilesize" />)</xsl:if>
											<br />
											<xsl:if test="@org!=''">
												<a href="#" onclick="showIMGTag('{@fileurl}','{@alt}');return false;" title="クリックすると貼り付け用のIMGタグ(を生成します">IMGタグ（元サイズ）</a>／
												<a href="#" onclick="showIMGTag2('{@fileurl}','{@alt}', 240, 240);return false;" title="クリックすると貼り付け用（240×240以内）のIMGタグを生成します">IMGタグ(240*240ドット以内)</a>
												<br />
											</xsl:if>
											
										</xsl:when>
										
										<!-- ファイル(file)項目 -->
										<xsl:when test="@type='file'">
											<xsl:if test="@state='deleted'">
												<a href="{@fileurl}&amp;mode=manager" target="_blank"><xsl:value-of select="@org" />(削除されています)</a><br />
											</xsl:if>
											<xsl:if test="@state!='deleted'">
												<xsl:if test="@org=''">
													(ファイルなし)
												</xsl:if>
												<xsl:if test="@org!=''">
													<a href="{@fileurl}&amp;mode=manager" target="_blank"><xsl:value-of select="@org" /></a>
												</xsl:if>
											</xsl:if>
											
											／<input type="checkbox" name="{@name}_DEL" />削除<br />
											アップロードするファイル <input type="file" name="{@name}" size="50" />
											<xsl:if test="@maxfilesize">　(最大<xsl:value-of select="@maxfilesize" />)</xsl:if>
											<br />
											
										</xsl:when>
										
										<!-- 日時項目 -->
										<xsl:when test="@type='entrydate' or @type='datetime' or @type='date' or @type='year' or @type='month' or @type='time'" >
											<!-- 年の出力 -->
											<xsl:if test="@type='entrydate' or @type='datetime' or @type='date' or @type='year' or @type='month'">
												<input type="text" size="4" maxlength="4" name="{@name}_year" value="{@year}" />年
											</xsl:if>
											
											<!-- 月の出力 -->
											<xsl:if test="@type='entrydate' or @type='datetime' or @type='date' or @type='month'">
											
												<xsl:call-template name="monthselect">
														<xsl:with-param name="select_name" select="concat(@name, '_month')" />
														<xsl:with-param name="selected_value" select="@month" />
												</xsl:call-template>
											
											</xsl:if>
											
											<!-- 日の出力 -->
											<xsl:if test="@type='entrydate' or @type='datetime' or @type='date'">
											
												<xsl:call-template name="dayselect">
													<xsl:with-param name="select_name" select="concat(@name, '_day')" />
													<xsl:with-param name="selected_value" select="@day" />
												</xsl:call-template>
												
											</xsl:if>
											
											<!-- 時の出力 -->
											<xsl:if test="@type='entrydate' or @type='datetime' or @type='time'">
											
												<xsl:call-template name="hourselect">
														<xsl:with-param name="select_name" select="concat(@name, '_hour')" />
														<xsl:with-param name="selected_value" select="@hour" />
												</xsl:call-template>
												
											</xsl:if>
											
											<!-- 分の出力 -->
											<xsl:if test="@type='entrydate' or @type='datetime' or @type='time'">
											
												<xsl:call-template name="minuteselect">
														<xsl:with-param name="select_name" select="concat(@name, '_minute')" />
														<xsl:with-param name="selected_value" select="@minute" />
												</xsl:call-template>
												
											</xsl:if>
											
											<xsl:if test="@type='entrydate'" >
												　<input type="checkbox" name="{@name}_autoupdate" id="{@name}_autoupdate" /><label for="{@name}_autoupdate">現在日時を自動設定</label>
											</xsl:if>
											
										</xsl:when>
										
										<!-- 緯度経度(geolocation)項目 -->
										<xsl:when test="@type='geolocation'">
											緯度(lat)：<input type="text" id="{@name}_LAT" name="{@name}_LAT" size="25" value="{@lat}" />(-90～+90)<br />
											経度(lng)：<input type="text" id="{@name}_LNG" name="{@name}_LNG" size="25" value="{@lng}" />(-180～+180)<br />
											縮尺(zoom)：
											<select id="{@name}_ZOOM" name="{@name}_ZOOM">
												<option value=""><xsl:if test="@zoom=''"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if></option>
												<option value="0"><xsl:if test="@zoom=0"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>0（世界全域）</option>
												<option value="1"><xsl:if test="@zoom=1"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>1</option>
												<option value="2"><xsl:if test="@zoom=2"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>2</option>
												<option value="3"><xsl:if test="@zoom=3"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>3</option>
												<option value="4"><xsl:if test="@zoom=4"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>4（世界地域）</option>
												<option value="5"><xsl:if test="@zoom=5"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>5</option>
												<option value="6"><xsl:if test="@zoom=6"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>6（日本全域）</option>
												<option value="7"><xsl:if test="@zoom=7"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>7</option>
												<option value="8"><xsl:if test="@zoom=8"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>8（県全域）</option>
												<option value="9"><xsl:if test="@zoom=9"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>9</option>
												<option value="10"><xsl:if test="@zoom=10"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>10（市・県）</option>
												<option value="11"><xsl:if test="@zoom=11"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>11</option>
												<option value="12"><xsl:if test="@zoom=12"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>12（市全域）</option>
												<option value="13"><xsl:if test="@zoom=13"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>13</option>
												<option value="14"><xsl:if test="@zoom=14"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>14</option>
												<option value="15"><xsl:if test="@zoom=15"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>15（標準）</option>
												<option value="16"><xsl:if test="@zoom=16"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>16</option>
												<option value="17"><xsl:if test="@zoom=17"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>17（詳細）</option>
												<option value="18"><xsl:if test="@zoom=18"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>18</option>
												<option value="19"><xsl:if test="@zoom=19"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>19（最も詳細）</option>
											</select>
											<!--<input type="text" id="{@name}_ZOOM" name="{@name}_ZOOM" size="2" value="{@zoom}" />(0～19) --><a href="#" onclick="openGMapInputWindow( '{@name}', 550, 600);return false;">[地図で入力]</a>
											<br />
										</xsl:when>
										
									</xsl:choose>
								</td>
								
								</xsl:if><!-- セパレーター以外 - 終了 -->
								
							</tr>
							</xsl:if>
						</xsl:for-each>
					</table>
				</xsl:if>
				
				<xsl:if test="/entryeditor/location/@currenttype='list'" >
					<div class="buttonpanel" align="left">
						<a href="#" class="imagebutton" onclick="submitDeleteItems();return false;" ><img name="btnDeleteItem" alt="選択リスト項目を削除" src="manager.resources/button_delete.gif" /></a>
						<a href="#" class="imagebutton" onclick="submitAddNewItem();return false;" ><img name="btnAddItem" alt="新規リスト項目を追加" src="manager.resources/button_addnew.gif" /></a>
						<a href="#" class="imagebutton" onclick="submitMoveItems('top');return false;" ><img name="btnMoveItemsToTop" alt="選択リスト項目を一番上へ移動" src="manager.resources/button_totop.gif" /></a>
						<a href="#" class="imagebutton" onclick="submitMoveItems('bottom');return false;" ><img name="btnMoveItemsToBottom" alt="選択リスト項目を一番下へ移動" src="manager.resources/button_tobottom.gif" /></a>
						<a href="#" class="imagebutton" onclick="submitMoveItems('up');return false;" ><img name="btnMoveItemsToUpper" alt="選択リスト項目を一つ上へ移動" src="manager.resources/button_toupper.gif" /></a>
						<a href="#" class="imagebutton" onclick="submitMoveItems('down');return false;" ><img name="btnMoveItemsToLower" alt="選択リスト項目を一つ下へ移動" src="manager.resources/button_tolower.gif" /></a>
					</div>
					<input type="hidden" name="moveto" />
					<table >
						<tr><th nowrap="nowrap">選択</th><th nowrap="nowrap" width="100%">項目</th><th nowrap="nowrap">ID</th><th nowrap="nowrap">編集</th></tr>
						<xsl:for-each select="entrydata">
							<tr>
								<td align="center">
									<xsl:if test="@selected">
										<input type="checkbox" name="items[]" value="{@listid}" checked="checked" />
									</xsl:if>
									<xsl:if test="not(@selected)">
										<input type="checkbox" name="items[]" value="{@listid}" />
									</xsl:if>
								</td>
								<td>
									<xsl:value-of select="@caption" />
								</td>
								<td nowrap="nowrap">
									<xsl:value-of select="@listid" />
								</td>
								<td nowrap="nowrap">
									<a href="#" onclick="moveLevel( '{@listid}' );return false;"	class="imagebutton"><img src="manager.resources/button_edit.gif" alt="編集" border="0" /></a>
								</td>
							</tr>
						</xsl:for-each>
						<tr>
							<td align="center">
								－
							</td>
							<td>
								（新規項目）
							</td>
							<td nowrap="nowrap">
								*
							</td>
							<td nowrap="nowrap">
								<a href="#" onclick="submitAddNewItem();return false;" class="imagebutton"><img src="manager.resources/button_edit.gif" alt="編集" border="0" /></a>
							</td>
						</tr>
					</table>
				</xsl:if>
				
				<!-- 画面下にもボタン群を表示する -->
				<div class="buttonpanel">
					<a href="#" class="imagebutton" onclick="submitSave();return false;" ><img name="btnSave" alt="編集内容を確定する" src="manager.resources/button_save.gif" /></a>
					<a href="#" class="imagebutton" onclick="cancelEdit('{@entryname}','{@id}','{/entryeditor/ownerpage/@maxpagerows}','{/entryeditor/ownerpage/@pageno}');return false;" ><img name="btnCancel" alt="キャンセル" src="manager.resources/button_cancel.gif" /></a>
					<xsl:if test="/entryeditor/location/@istop='False'" >
						<a href="#" class="imagebutton" onclick="moveLevel('^1');return false;" ><img name="btnMoveToUpper" alt="一つ上に戻る" src="manager.resources/button_return.gif" /></a>
					</xsl:if>
					<div class="buttonpanel_padding" />
					<a href="#" class="imagebutton" onclick="submitDuplicate();return false;" ><img name="btnDuplicate" alt="新規エントリにコピーする" src="manager.resources/button_duplicate.gif" /></a>
				</div>
				
				</xsl:if><!-- エラーIDが空っぽの場合のみ、編集領域を表示する。 -->
				
			</form>
		</xsl:for-each>
		
	</xsl:template>
	
	
	<!-- ユーザー一覧編集画面 -->
	<xsl:template match="edituserlistform" >
		
		<div class="subtitle">■ユーザー管理</div>
		
		<xsl:if test="not(@autheduserrole='administrator')">
			<div class="description">この操作にはシステム管理者権限が必要です。</div>
		</xsl:if>
		
		<xsl:if test="@autheduserrole='administrator'">
		
		<div class="description">編集するユーザーを選んでください。</div>
		<div class="buttonpanel">
			<a href="#" class="imagebutton" onclick="submitDeleteUsers();return false;" ><img name="btnDelete" alt="選択ユーザーを削除" src="manager.resources/button_delete.gif" /></a>
			<a href="#" class="imagebutton" onclick="submitAddNewUser();return false;" ><img name="btnAdd" alt="新規ユーザーを追加" src="manager.resources/button_addnew.gif" /></a>
		</div>
		
		<form action="manager.php" method="post" name="frmEditUserList" >
			<input type="hidden" name="action" value="" />
			<input type="hidden" name="{/*/reloadtoken/@key}" value="{/*/reloadtoken/@value}" />
			<table>
				<tr><th nowrap="nowrap">削除</th><th nowrap="nowrap" width="100%">ユーザーID</th><th nowrap="nowrap">役割</th><th nowrap="nowrap">編集</th></tr>
				<xsl:for-each select="user" >
					<tr>
						<td align="center">
							<xsl:choose>
								<xsl:when test="/users/@autheduserid=@id">－</xsl:when>
								<xsl:otherwise><input type="checkbox" name="items[]" value="{@id}" /></xsl:otherwise>
							</xsl:choose>
						</td>
						<td nowrap="nowrap"><xsl:value-of select="@id" /></td>
						<td nowrap="nowrap">
							<xsl:choose>
								<xsl:when test="@role='administrator'">システム管理者</xsl:when>
								<xsl:when test="@role='publisher'">サイト更新者</xsl:when>
								<xsl:otherwise>(<xsl:value-of select="@role"/>)</xsl:otherwise>
							</xsl:choose>
						</td>
						<td nowrap="nowrap"><a href="manager.php?p=edituser&amp;userid={@id}" class="imagebutton"><img src="manager.resources/button_edit.gif" alt="編集" border="0" /></a></td>
					</tr>
				</xsl:for-each>
				<tr>
					<td align="center">
						－
					</td>
					<td>(新規ユーザーを追加)</td>
					<td nowrap="nowrap" align="center">－</td>
					<td nowrap="nowrap">
						<a href="#" class="imagebutton" onclick="submitAddNewUser();return false;" ><img name="btnAdd" alt="新規ユーザーを追加" src="manager.resources/button_edit.gif" /></a>
					</td>
				</tr>
				
			</table>
		</form>
		
		</xsl:if>
		
	</xsl:template>
	
	
	<!-- ユーザー編集画面 -->
	<xsl:template match="edituserform">
	
		<div class="subtitle">
			■<a href="manager.php?p=edituserlist">ユーザー管理</a>
			 ＞ ユーザーの編集
			<xsl:if test="@isnew='true'" >(新規ユーザー)</xsl:if>
			<xsl:if test="not(@isnew='true')" >(<xsl:value-of select="@userid"/>)</xsl:if>
		</div>
		
		
		<form action="manager.php" method="post" name="frmEditUser" enctype="multipart/form-data">
			<input type="hidden" name="cmsd_encodinghelper" value="あいうえお眉幅" />
			<input type="hidden" name="nextlevel" value="" />
			<input type="hidden" name="action" value="" />
			<input type="hidden" name="{/*/reloadtoken/@key}" value="{/*/reloadtoken/@value}" />
			
			<xsl:if test="errormessage">
				<div class="error">
					<xsl:value-of select="errormessage/text()" />
				</div>
			</xsl:if>
				
			<xsl:if test="@criticalerror='false'">
			
				<div class="buttonpanel">
					<a href="#" class="imagebutton" onclick="EditUser_submitSave();return false;" ><img name="btnSave" alt="編集内容を保存する" src="manager.resources/button_save.gif" /></a>
					<a href="#" class="imagebutton" onclick="EditUser_cancelEdit();return false;" ><img name="btnCancel" alt="キャンセル" src="manager.resources/button_cancel.gif" /></a>
				</div>
				

				<table>
					<tr><th nowrap="nowrap">説明</th><th nowrap="nowrap" width="100%">入力欄</th></tr>
					
					<tr>
						<td nowrap="nowrap">ユーザーID</td>
						<td>
							<xsl:if test="@isnew='true'">
								<input type="text" name="userid" value="{@userid}" size="16" maxlength="20" />
							</xsl:if>
							<xsl:if test="@isnew='false'">
								<strong><xsl:value-of select="@userid" /></strong>
							</xsl:if>
						</td>
					</tr>
					
					<tr>
						<td nowrap="nowrap">役割</td>
						<td>
							<select name="role">
								<option value="publisher">
									<xsl:if test="@role='publisher'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>サイト編集者
								</option>
								<option value="administrator">
									<xsl:if test="@role='administrator'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>システム管理者
								</option>
							</select>
						</td>
					</tr>
					
					<tr>
						<td nowrap="nowrap">新しいパスワード</td>
						<td>
							<input type="checkbox" name="passwordsetting" id="passwordsetting" value="1" onchange="document.getElementById( 'newpassword' ).disabled = ! document.getElementById( 'passwordsetting' ).checked;" onclick="document.getElementById( 'newpassword' ).disabled = ! document.getElementById( 'passwordsetting' ).checked;"/> <label for="passwordsetting">パスワードを更新する</label>
							<input type="password" id="newpassword" name="newpassword" value="{@newpassword}" size="16" maxlength="20" disabled="disabled" />
						</td>
					</tr>
					
				</table>
				
				
			</xsl:if>
			
		</form>
	
	</xsl:template>
		
		<!-- 各種部品テンプレート -->
		
		<!-- 「月」ドロップダウンメニュー生成 -->
		<xsl:template name="monthselect">
				<xsl:param name="select_name" />
				<xsl:param name="selected_value" />
				<select name="{$select_name}" >
						<option value="00"><xsl:if test="$selected_value='00'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if></option>
						<option value="01"><xsl:if test="$selected_value='01'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>01</option>
						<option value="02"><xsl:if test="$selected_value='02'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>02</option>
						<option value="03"><xsl:if test="$selected_value='03'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>03</option>
						<option value="04"><xsl:if test="$selected_value='04'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>04</option>
						<option value="05"><xsl:if test="$selected_value='05'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>05</option>
						<option value="06"><xsl:if test="$selected_value='06'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>06</option>
						<option value="07"><xsl:if test="$selected_value='07'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>07</option>
						<option value="08"><xsl:if test="$selected_value='08'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>08</option>
						<option value="09"><xsl:if test="$selected_value='09'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>09</option>
						<option value="10"><xsl:if test="$selected_value='10'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>10</option>
						<option value="11"><xsl:if test="$selected_value='11'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>11</option>
						<option value="12"><xsl:if test="$selected_value='12'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>12</option>
				</select>月
		</xsl:template>
		
		
		<!-- 「日」ドロップダウンメニュー生成 -->
		<xsl:template name="dayselect">
				<xsl:param name="select_name" />
				<xsl:param name="selected_value" />
				<select name="{$select_name}" >
						<option value="00"><xsl:if test="$selected_value='00'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if></option>
						<option value="01"><xsl:if test="$selected_value='01'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>01</option>
						<option value="02"><xsl:if test="$selected_value='02'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>02</option>
						<option value="03"><xsl:if test="$selected_value='03'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>03</option>
						<option value="04"><xsl:if test="$selected_value='04'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>04</option>
						<option value="05"><xsl:if test="$selected_value='05'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>05</option>
						<option value="06"><xsl:if test="$selected_value='06'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>06</option>
						<option value="07"><xsl:if test="$selected_value='07'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>07</option>
						<option value="08"><xsl:if test="$selected_value='08'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>08</option>
						<option value="09"><xsl:if test="$selected_value='09'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>09</option>
						<option value="10"><xsl:if test="$selected_value='10'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>10</option>
						<option value="11"><xsl:if test="$selected_value='11'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>11</option>
						<option value="12"><xsl:if test="$selected_value='12'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>12</option>
						<option value="13"><xsl:if test="$selected_value='13'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>13</option>
						<option value="14"><xsl:if test="$selected_value='14'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>14</option>
						<option value="15"><xsl:if test="$selected_value='15'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>15</option>
						<option value="16"><xsl:if test="$selected_value='16'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>16</option>
						<option value="17"><xsl:if test="$selected_value='17'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>17</option>
						<option value="18"><xsl:if test="$selected_value='18'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>18</option>
						<option value="19"><xsl:if test="$selected_value='19'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>19</option>
						<option value="20"><xsl:if test="$selected_value='20'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>20</option>
						<option value="21"><xsl:if test="$selected_value='21'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>21</option>
						<option value="22"><xsl:if test="$selected_value='22'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>22</option>
						<option value="23"><xsl:if test="$selected_value='23'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>23</option>
						<option value="24"><xsl:if test="$selected_value='24'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>24</option>
						<option value="25"><xsl:if test="$selected_value='25'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>25</option>
						<option value="26"><xsl:if test="$selected_value='26'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>26</option>
						<option value="27"><xsl:if test="$selected_value='27'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>27</option>
						<option value="28"><xsl:if test="$selected_value='28'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>28</option>
						<option value="29"><xsl:if test="$selected_value='29'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>29</option>
						<option value="30"><xsl:if test="$selected_value='30'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>30</option>
						<option value="31"><xsl:if test="$selected_value='31'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>31</option>
				</select>日
		</xsl:template>
		
		
		<!-- 「時」ドロップダウンメニュー生成 -->
		<xsl:template name="hourselect">
				<xsl:param name="select_name" />
				<xsl:param name="selected_value" />
				<select name="{$select_name}" >
						<option value="00"><xsl:if test="$selected_value='00'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>00</option>
						<option value="01"><xsl:if test="$selected_value='01'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>01</option>
						<option value="02"><xsl:if test="$selected_value='02'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>02</option>
						<option value="03"><xsl:if test="$selected_value='03'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>03</option>
						<option value="04"><xsl:if test="$selected_value='04'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>04</option>
						<option value="05"><xsl:if test="$selected_value='05'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>05</option>
						<option value="06"><xsl:if test="$selected_value='06'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>06</option>
						<option value="07"><xsl:if test="$selected_value='07'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>07</option>
						<option value="08"><xsl:if test="$selected_value='08'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>08</option>
						<option value="09"><xsl:if test="$selected_value='09'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>09</option>
						<option value="10"><xsl:if test="$selected_value='10'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>10</option>
						<option value="11"><xsl:if test="$selected_value='11'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>11</option>
						<option value="12"><xsl:if test="$selected_value='12'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>12</option>
						<option value="13"><xsl:if test="$selected_value='13'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>13</option>
						<option value="14"><xsl:if test="$selected_value='14'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>14</option>
						<option value="15"><xsl:if test="$selected_value='15'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>15</option>
						<option value="16"><xsl:if test="$selected_value='16'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>16</option>
						<option value="17"><xsl:if test="$selected_value='17'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>17</option>
						<option value="18"><xsl:if test="$selected_value='18'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>18</option>
						<option value="19"><xsl:if test="$selected_value='19'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>19</option>
						<option value="20"><xsl:if test="$selected_value='20'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>20</option>
						<option value="21"><xsl:if test="$selected_value='21'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>21</option>
						<option value="22"><xsl:if test="$selected_value='22'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>22</option>
						<option value="23"><xsl:if test="$selected_value='23'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>23</option>
				</select>時
		</xsl:template>
		
		
		<!-- 「分」ドロップダウンメニュー生成 -->
		<xsl:template name="minuteselect">
				<xsl:param name="select_name" />
				<xsl:param name="selected_value" />
				<select name="{$select_name}" >
						<option value="00"><xsl:if test="$selected_value='00'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>00</option>
						<option value="01"><xsl:if test="$selected_value='01'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>01</option>
						<option value="02"><xsl:if test="$selected_value='02'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>02</option>
						<option value="03"><xsl:if test="$selected_value='03'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>03</option>
						<option value="04"><xsl:if test="$selected_value='04'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>04</option>
						<option value="05"><xsl:if test="$selected_value='05'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>05</option>
						<option value="06"><xsl:if test="$selected_value='06'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>06</option>
						<option value="07"><xsl:if test="$selected_value='07'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>07</option>
						<option value="08"><xsl:if test="$selected_value='08'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>08</option>
						<option value="09"><xsl:if test="$selected_value='09'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>09</option>
						<option value="10"><xsl:if test="$selected_value='10'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>10</option>
						<option value="11"><xsl:if test="$selected_value='11'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>11</option>
						<option value="12"><xsl:if test="$selected_value='12'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>12</option>
						<option value="13"><xsl:if test="$selected_value='13'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>13</option>
						<option value="14"><xsl:if test="$selected_value='14'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>14</option>
						<option value="15"><xsl:if test="$selected_value='15'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>15</option>
						<option value="16"><xsl:if test="$selected_value='16'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>16</option>
						<option value="17"><xsl:if test="$selected_value='17'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>17</option>
						<option value="18"><xsl:if test="$selected_value='18'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>18</option>
						<option value="19"><xsl:if test="$selected_value='19'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>19</option>
						<option value="20"><xsl:if test="$selected_value='20'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>20</option>
						<option value="21"><xsl:if test="$selected_value='21'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>21</option>
						<option value="22"><xsl:if test="$selected_value='22'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>22</option>
						<option value="23"><xsl:if test="$selected_value='23'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>23</option>
						<option value="24"><xsl:if test="$selected_value='24'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>24</option>
						<option value="25"><xsl:if test="$selected_value='25'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>25</option>
						<option value="26"><xsl:if test="$selected_value='26'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>26</option>
						<option value="27"><xsl:if test="$selected_value='27'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>27</option>
						<option value="28"><xsl:if test="$selected_value='28'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>28</option>
						<option value="29"><xsl:if test="$selected_value='29'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>29</option>
						<option value="30"><xsl:if test="$selected_value='30'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>30</option>
						<option value="31"><xsl:if test="$selected_value='31'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>31</option>
						<option value="32"><xsl:if test="$selected_value='32'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>32</option>
						<option value="33"><xsl:if test="$selected_value='33'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>33</option>
						<option value="34"><xsl:if test="$selected_value='34'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>34</option>
						<option value="35"><xsl:if test="$selected_value='35'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>35</option>
						<option value="36"><xsl:if test="$selected_value='36'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>36</option>
						<option value="37"><xsl:if test="$selected_value='37'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>37</option>
						<option value="38"><xsl:if test="$selected_value='38'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>38</option>
						<option value="39"><xsl:if test="$selected_value='39'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>39</option>
						<option value="40"><xsl:if test="$selected_value='40'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>40</option>
						<option value="41"><xsl:if test="$selected_value='41'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>41</option>
						<option value="42"><xsl:if test="$selected_value='42'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>42</option>
						<option value="43"><xsl:if test="$selected_value='43'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>43</option>
						<option value="44"><xsl:if test="$selected_value='44'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>44</option>
						<option value="45"><xsl:if test="$selected_value='45'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>45</option>
						<option value="46"><xsl:if test="$selected_value='46'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>46</option>
						<option value="47"><xsl:if test="$selected_value='47'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>47</option>
						<option value="48"><xsl:if test="$selected_value='48'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>48</option>
						<option value="49"><xsl:if test="$selected_value='49'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>49</option>
						<option value="50"><xsl:if test="$selected_value='50'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>50</option>
						<option value="51"><xsl:if test="$selected_value='51'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>51</option>
						<option value="52"><xsl:if test="$selected_value='52'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>52</option>
						<option value="53"><xsl:if test="$selected_value='53'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>53</option>
						<option value="54"><xsl:if test="$selected_value='54'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>54</option>
						<option value="55"><xsl:if test="$selected_value='55'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>55</option>
						<option value="56"><xsl:if test="$selected_value='56'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>56</option>
						<option value="57"><xsl:if test="$selected_value='57'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>57</option>
						<option value="58"><xsl:if test="$selected_value='58'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>58</option>
						<option value="59"><xsl:if test="$selected_value='59'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>59</option>
				</select>分
		</xsl:template> 			
		
	
</xsl:stylesheet>